Cancel backfill
curl --request POST \
--url https://api.example.com/api/v1/beam/backfills/{job_id}/cancelimport requests
url = "https://api.example.com/api/v1/beam/backfills/{job_id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/v1/beam/backfills/{job_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Backfills
Cancel backfill
Cancels a running backfill job.
POST
/
api
/
v1
/
beam
/
backfills
/
{job_id}
/
cancel
Cancel backfill
Sends a cancellation signal to a running backfill job. The job will stop at the next phase boundary and transition to
cancelled. Resources (topics, worker pods) are torn down automatically.
Path parameters:
| Parameter | Description |
|---|---|
job_id | The backfill job ID returned by Create backfill |
curl -X POST https://api.allium.so/api/v1/beam/backfills/${JOB_ID}/cancel \
-H "X-API-Key: ${ALLIUM_API_KEY}"
Was this page helpful?
⌘I